## org.apache.lucene.analysis.payloads
Class TokenOffsetPayloadTokenFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.payloads.TokenOffsetPayloadTokenFilter

    public class TokenOffsetPayloadTokenFilter

extends TokenFilter

Adds the `Token.setStartOffset(int)` and `Token.setEndOffset(int)` First 4 bytes are the start

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`TokenOffsetPayloadTokenFilter(TokenStream input)`

Method Summary
`Token` `next(Token result)`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenOffsetPayloadTokenFilter

    public TokenOffsetPayloadTokenFilter(TokenStream input)

Method Detail

### next

    public Token next(Token result)
               throws IOException

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.